alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity drop constraint if exists FK5b19thy124c7aybco1r3emfix;
alter table if exists activity drop constraint if exists FK2qcghyc68qlafjkiya9jw5i11;
alter table if exists activity drop constraint if exists FK2wcwpbrvu5eff2e3k6f79jpet;
alter table if exists activity drop constraint if exists FK5nu5mdrffdn32pbad1mntj40j;
alter table if exists activity drop constraint if exists FK75mrg3v4dpkopsh6le2pdba6r;
alter table if exists activity drop constraint if exists FK3sxk07thp5blp4f3cr2vao3s7;
alter table if exists activity drop constraint if exists FKe4qd5t8bueg7u82ggwh8ocf5i;
alter table if exists activity drop constraint if exists FKbeb5x6i3qk90pi432p35ln5hh;
alter table if exists activity drop constraint if exists FK7dlmf4i6gmq4hcb7181342gv7;
alter table if exists activity drop constraint if exists FKeoluo47sujjgqnv8m4sf5caxj;
alter table if exists activity drop constraint if exists FKjii6y7fbvc2a1c8fp3elks0ty;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists artifact drop constraint if exists FK2uavpsaaw0q7ohny6turmoojb;
alter table if exists artifactcheckout_artifactcopy drop constraint if exists FK6ixnviwxctkyux26asqvx6x34;
alter table if exists artifactcheckout_artifactcopy drop constraint if exists FK1rcqsolxc7wtv0fgafr6wnqke;
alter table if exists artifactcopy_conflict drop constraint if exists FK7tm3ivu0nh9k80byd6mxgjk24;
alter table if exists artifactcopy_conflict drop constraint if exists FK5ime36qm30w2vlv71lf7ekp4i;
alter table if exists baseline_version drop constraint if exists FKrmp4q0g3u9xoxd9kv8xwyis08;
alter table if exists baseline_version drop constraint if exists FKg33t3g4bovjtk5rluegqsu9dj;
alter table if exists branch drop constraint if exists FK9eo4lqh6exa3f47xvo19pl64h;
alter table if exists changeimplementer_changeaccomplishment drop constraint if exists FKnd3mx270b8ebduowd5pmrdjka;
alter table if exists changeimplementer_changeaccomplishment drop constraint if exists FKr7xfvi8c78dmh74lrfijidtqu;
alter table if exists changeimplementer_checkin drop constraint if exists FKhguupw8pmaak6t3wqn3jmp909;
alter table if exists changeimplementer_checkin drop constraint if exists FKjtbnwhwsltrgaxa9hsdocjbsn;
alter table if exists changeimplementer_checkout drop constraint if exists FKtrm8fmvii02q2f0b55orc5arl;
alter table if exists changeimplementer_checkout drop constraint if exists FKjtinonkaet9ekof74xm4k7knc;
alter table if exists checkinwithconflicts_artifactcopy drop constraint if exists FKm23kcc5olul2l8sy8aviv5t7i;
alter table if exists checkinwithconflicts_artifactcopy drop constraint if exists FK7eqe2vemd6qbrqe2n8uly7asw;
alter table if exists checkinwithoutconflicts_artifactcopy drop constraint if exists FK4xciirlomo8fjhkrbp3mbruta;
alter table if exists checkinwithoutconflicts_artifactcopy drop constraint if exists FK8p2i1h40vxe189bspq77odeix;
alter table if exists commitartifactcopy_artifactcopy drop constraint if exists FK6fgcqak41p64qtqbf8dbkfdk;
alter table if exists commitartifactcopy_artifactcopy drop constraint if exists FK4v0lkve6lssewdqhmsfiyxshs;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists resolveconflict_artifactcopy drop constraint if exists FKa6fcpsfs694455e1r21fm9klc;
alter table if exists resolveconflict_artifactcopy drop constraint if exists FK8jbytoegsbgc3b23n4graxvrc;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
alter table if exists version drop constraint if exists FKe51vd8bdcftiqgu6bf9g028ah;
alter table if exists version drop constraint if exists FK8q2uhxcr3k1drva0cwlkuc6c5;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists artifactcheckout_artifactcopy cascade;
drop table if exists artifactcopy_conflict cascade;
drop table if exists baseline_version cascade;
drop table if exists branch cascade;
drop table if exists changeimplementer_changeaccomplishment cascade;
drop table if exists changeimplementer_checkin cascade;
drop table if exists changeimplementer_checkout cascade;
drop table if exists checkinwithconflicts_artifactcopy cascade;
drop table if exists checkinwithoutconflicts_artifactcopy cascade;
drop table if exists commitartifactcopy_artifactcopy cascade;
drop table if exists conflict cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists resolveconflict_artifactcopy cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop table if exists version cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, state_type varchar(255), specificprojectprocess_id bigint, changeaccomplishment_id bigint, deletebranch_id bigint, source_branch_id bigint, target_branch_id bigint, checkin_id bigint, branch_id bigint, checkout_id bigint, artifactcheckout_id bigint, baseline_id bigint, configuationmanagementprocess_id bigint, changerequestclosing_id bigint, primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, artifact_type varchar(255), artifact_id bigint, branch_id bigint, primary key (id));
create table artifactcheckout_artifactcopy (artifactcheckout_id bigint not null, artifactcopy_id bigint not null, primary key (artifactcheckout_id, artifactcopy_id));
create table artifactcopy_conflict (artifactcopy_id bigint not null, conflict_id bigint not null, primary key (artifactcopy_id, conflict_id));
create table baseline_version (baseline_id bigint not null, version_id bigint not null, primary key (baseline_id, version_id));
create table branch (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), sourcerepository_id bigint, primary key (id));
create table changeimplementer_changeaccomplishment (changeimplementer_id bigint not null, changeaccomplishment_id bigint not null, primary key (changeimplementer_id, changeaccomplishment_id));
create table changeimplementer_checkin (changeimplementer_id bigint not null, checkin_id bigint not null, primary key (changeimplementer_id, checkin_id));
create table changeimplementer_checkout (changeimplementer_id bigint not null, checkout_id bigint not null, primary key (changeimplementer_id, checkout_id));
create table checkinwithconflicts_artifactcopy (checkinconflict_id bigint not null, artifactcopy_id bigint not null, primary key (checkinconflict_id, artifactcopy_id));
create table checkinwithoutconflicts_artifactcopy (checkinconflict_id bigint not null, artifactcopy_id bigint not null, primary key (checkinconflict_id, artifactcopy_id));
create table commitartifactcopy_artifactcopy (commitartifactcopy_id bigint not null, artifactcopy_id bigint not null, primary key (commitartifactcopy_id, artifactcopy_id));
create table conflict (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table generalprojectprocess (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, type varchar(255), softwareproject_id bigint, primary key (id));
create table loadedsoftwaresystemcopy (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), softwaresystem_id bigint, primary key (id));
create table organization (id bigint not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table organizationalrole (id bigint not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table person (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, email varchar(255), primary key (id));
create table project (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organization_id bigint, primary key (id));
create table project_stakeholder (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), person_id bigint, team_id bigint, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table resolveconflict_artifactcopy (resolveconflict_id bigint not null, artifactcopy_id bigint not null, primary key (resolveconflict_id, artifactcopy_id));
create table specificprojectprocess (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, type varchar(255), generalprojectprocess_id bigint, primary key (id));
create table team (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, team_purpose varchar(255), type varchar(255), organization_id bigint, project_id bigint, primary key (id));
create table teammembership (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organizationalrole_id bigint, person_id bigint, team_id bigint, primary key (id));
create table version (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), artifactcopy_id bigint, configurationitem_id bigint, primary key (id));
alter table if exists activity add constraint UK_gen90k71mcqmbelphjfoj5p1h unique (external_id);
alter table if exists activity add constraint UK_fqiif0l8hs9v9n1f1cyjq0w93 unique (internal_id);
alter table if exists artifact add constraint UK_tmtntysmpe9agx311oo9wgd6w unique (external_id);
alter table if exists artifact add constraint UK_a7vjuwd556mt1jgmvkikrg97m unique (internal_id);
alter table if exists branch add constraint UK_axlxb8k98wdonx8j54lrrc381 unique (external_id);
alter table if exists branch add constraint UK_aro2jevrva41r9b5pfa56qqs0 unique (internal_id);
alter table if exists conflict add constraint UK_2wpluosupq8u7dwxpgnj7qf7 unique (external_id);
alter table if exists conflict add constraint UK_4aoawjja20yfu7a75g6hegcsw unique (internal_id);
alter table if exists generalprojectprocess add constraint UK_t2f4mduk7xxo2m1e5s2ln8l6c unique (external_id);
alter table if exists generalprojectprocess add constraint UK_31euq0fg7a9ewyikftigdxng unique (internal_id);
alter table if exists loadedsoftwaresystemcopy add constraint UK_ru1alqoltg2pxcj7vf6mlkgyj unique (external_id);
alter table if exists loadedsoftwaresystemcopy add constraint UK_7dc4eooen6g1t190mxf2dksbh unique (internal_id);
alter table if exists organization add constraint UK_anbatb82bwhrx4gagnflykthh unique (external_id);
alter table if exists organization add constraint UK_qgifo82ujgdm3r4me4o483y98 unique (internal_id);
alter table if exists organizationalrole add constraint UK_r0nk0u1upsab7mjvokf771ty4 unique (external_id);
alter table if exists organizationalrole add constraint UK_2mxehhrgdtj97cu0b38wsn0a7 unique (internal_id);
alter table if exists person add constraint UK_b88nmexbm4eag0edh6hhphk4e unique (external_id);
alter table if exists person add constraint UK_1h69uaxo6kwmmr505sd7nhfbo unique (internal_id);
alter table if exists project add constraint UK_qntbmlr1dte2ma5naa0xd9lgf unique (external_id);
alter table if exists project add constraint UK_au5d5lh0qj4ajvb5gdc2iklmj unique (internal_id);
alter table if exists specificprojectprocess add constraint UK_dl1mmy1wx5qui4uwy648rmd5a unique (external_id);
alter table if exists specificprojectprocess add constraint UK_ee5o4hvopd0t8g3pr0vvck2qh unique (internal_id);
alter table if exists team add constraint UK_5icvmflrxr0auwuycwo2bmtbb unique (external_id);
alter table if exists team add constraint UK_q21ea0163wdpsngogjvrdi35f unique (internal_id);
alter table if exists teammembership add constraint UK_3p28xbd0ftoo1qcrp089at106 unique (external_id);
alter table if exists teammembership add constraint UK_c14jbab4on1ny123qhxajt1ux unique (internal_id);
alter table if exists version add constraint UK_s0fdu9ljetwww3nseuiyeeoh4 unique (external_id);
alter table if exists version add constraint UK_p4fksc08wldh3au8lus7qk06m unique (internal_id);
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity add constraint FK5b19thy124c7aybco1r3emfix foreign key (changeaccomplishment_id) references activity;
alter table if exists activity add constraint FK2qcghyc68qlafjkiya9jw5i11 foreign key (deletebranch_id) references activity;
alter table if exists activity add constraint FK2wcwpbrvu5eff2e3k6f79jpet foreign key (source_branch_id) references branch;
alter table if exists activity add constraint FK5nu5mdrffdn32pbad1mntj40j foreign key (target_branch_id) references branch;
alter table if exists activity add constraint FK75mrg3v4dpkopsh6le2pdba6r foreign key (checkin_id) references activity;
alter table if exists activity add constraint FK3sxk07thp5blp4f3cr2vao3s7 foreign key (branch_id) references branch;
alter table if exists activity add constraint FKe4qd5t8bueg7u82ggwh8ocf5i foreign key (checkout_id) references activity;
alter table if exists activity add constraint FKbeb5x6i3qk90pi432p35ln5hh foreign key (artifactcheckout_id) references activity;
alter table if exists activity add constraint FK7dlmf4i6gmq4hcb7181342gv7 foreign key (baseline_id) references artifact;
alter table if exists activity add constraint FKeoluo47sujjgqnv8m4sf5caxj foreign key (configuationmanagementprocess_id) references specificprojectprocess;
alter table if exists activity add constraint FKjii6y7fbvc2a1c8fp3elks0ty foreign key (changerequestclosing_id) references activity;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists artifact add constraint FK2uavpsaaw0q7ohny6turmoojb foreign key (branch_id) references branch;
alter table if exists artifactcheckout_artifactcopy add constraint FK6ixnviwxctkyux26asqvx6x34 foreign key (artifactcopy_id) references artifact;
alter table if exists artifactcheckout_artifactcopy add constraint FK1rcqsolxc7wtv0fgafr6wnqke foreign key (artifactcheckout_id) references activity;
alter table if exists artifactcopy_conflict add constraint FK7tm3ivu0nh9k80byd6mxgjk24 foreign key (conflict_id) references conflict;
alter table if exists artifactcopy_conflict add constraint FK5ime36qm30w2vlv71lf7ekp4i foreign key (artifactcopy_id) references artifact;
alter table if exists baseline_version add constraint FKrmp4q0g3u9xoxd9kv8xwyis08 foreign key (version_id) references version;
alter table if exists baseline_version add constraint FKg33t3g4bovjtk5rluegqsu9dj foreign key (baseline_id) references artifact;
alter table if exists branch add constraint FK9eo4lqh6exa3f47xvo19pl64h foreign key (sourcerepository_id) references loadedsoftwaresystemcopy;
alter table if exists changeimplementer_changeaccomplishment add constraint FKnd3mx270b8ebduowd5pmrdjka foreign key (changeaccomplishment_id) references activity;
alter table if exists changeimplementer_changeaccomplishment add constraint FKr7xfvi8c78dmh74lrfijidtqu foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists changeimplementer_checkin add constraint FKhguupw8pmaak6t3wqn3jmp909 foreign key (checkin_id) references activity;
alter table if exists changeimplementer_checkin add constraint FKjtbnwhwsltrgaxa9hsdocjbsn foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists changeimplementer_checkout add constraint FKtrm8fmvii02q2f0b55orc5arl foreign key (checkout_id) references activity;
alter table if exists changeimplementer_checkout add constraint FKjtinonkaet9ekof74xm4k7knc foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists checkinwithconflicts_artifactcopy add constraint FKm23kcc5olul2l8sy8aviv5t7i foreign key (artifactcopy_id) references artifact;
alter table if exists checkinwithconflicts_artifactcopy add constraint FK7eqe2vemd6qbrqe2n8uly7asw foreign key (checkinconflict_id) references activity;
alter table if exists checkinwithoutconflicts_artifactcopy add constraint FK4xciirlomo8fjhkrbp3mbruta foreign key (artifactcopy_id) references artifact;
alter table if exists checkinwithoutconflicts_artifactcopy add constraint FK8p2i1h40vxe189bspq77odeix foreign key (checkinconflict_id) references activity;
alter table if exists commitartifactcopy_artifactcopy add constraint FK6fgcqak41p64qtqbf8dbkfdk foreign key (artifactcopy_id) references artifact;
alter table if exists commitartifactcopy_artifactcopy add constraint FK4v0lkve6lssewdqhmsfiyxshs foreign key (commitartifactcopy_id) references activity;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists resolveconflict_artifactcopy add constraint FKa6fcpsfs694455e1r21fm9klc foreign key (artifactcopy_id) references artifact;
alter table if exists resolveconflict_artifactcopy add constraint FK8jbytoegsbgc3b23n4graxvrc foreign key (resolveconflict_id) references activity;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists version add constraint FKe51vd8bdcftiqgu6bf9g028ah foreign key (artifactcopy_id) references artifact;
alter table if exists version add constraint FK8q2uhxcr3k1drva0cwlkuc6c5 foreign key (configurationitem_id) references artifact;
alter table if exists activity drop constraint if exists FKh2g4avehpcr1wpaw1wl3if72r;
alter table if exists activity drop constraint if exists FK5b19thy124c7aybco1r3emfix;
alter table if exists activity drop constraint if exists FK2qcghyc68qlafjkiya9jw5i11;
alter table if exists activity drop constraint if exists FK2wcwpbrvu5eff2e3k6f79jpet;
alter table if exists activity drop constraint if exists FK5nu5mdrffdn32pbad1mntj40j;
alter table if exists activity drop constraint if exists FK75mrg3v4dpkopsh6le2pdba6r;
alter table if exists activity drop constraint if exists FK3sxk07thp5blp4f3cr2vao3s7;
alter table if exists activity drop constraint if exists FKe4qd5t8bueg7u82ggwh8ocf5i;
alter table if exists activity drop constraint if exists FKbeb5x6i3qk90pi432p35ln5hh;
alter table if exists activity drop constraint if exists FK7dlmf4i6gmq4hcb7181342gv7;
alter table if exists activity drop constraint if exists FKeoluo47sujjgqnv8m4sf5caxj;
alter table if exists activity drop constraint if exists FKjii6y7fbvc2a1c8fp3elks0ty;
alter table if exists activity_artifact_changed drop constraint if exists FK3trne6t5kt9i5elsqgyi4fb05;
alter table if exists activity_artifact_changed drop constraint if exists FK9no45xbwejm1fw3mi8ntas2cl;
alter table if exists activity_artifact_created drop constraint if exists FK5e31y2lrg2vlmmwb6l3gdpku2;
alter table if exists activity_artifact_created drop constraint if exists FKafntfafl87e528uonltbsxbi6;
alter table if exists activity_artifact_used drop constraint if exists FKagy8o0ss3g2wg3vmfdyc6he9q;
alter table if exists activity_artifact_used drop constraint if exists FKfdesa1guewvnsul4abkm3ov;
alter table if exists artifact drop constraint if exists FKq3o6g6t4j9b6ltk5xgrh3ns2s;
alter table if exists artifact drop constraint if exists FK2uavpsaaw0q7ohny6turmoojb;
alter table if exists artifactcheckout_artifactcopy drop constraint if exists FK6ixnviwxctkyux26asqvx6x34;
alter table if exists artifactcheckout_artifactcopy drop constraint if exists FK1rcqsolxc7wtv0fgafr6wnqke;
alter table if exists artifactcopy_conflict drop constraint if exists FK7tm3ivu0nh9k80byd6mxgjk24;
alter table if exists artifactcopy_conflict drop constraint if exists FK5ime36qm30w2vlv71lf7ekp4i;
alter table if exists baseline_version drop constraint if exists FKrmp4q0g3u9xoxd9kv8xwyis08;
alter table if exists baseline_version drop constraint if exists FKg33t3g4bovjtk5rluegqsu9dj;
alter table if exists branch drop constraint if exists FK9eo4lqh6exa3f47xvo19pl64h;
alter table if exists changeimplementer_changeaccomplishment drop constraint if exists FKnd3mx270b8ebduowd5pmrdjka;
alter table if exists changeimplementer_changeaccomplishment drop constraint if exists FKr7xfvi8c78dmh74lrfijidtqu;
alter table if exists changeimplementer_checkin drop constraint if exists FKhguupw8pmaak6t3wqn3jmp909;
alter table if exists changeimplementer_checkin drop constraint if exists FKjtbnwhwsltrgaxa9hsdocjbsn;
alter table if exists changeimplementer_checkout drop constraint if exists FKtrm8fmvii02q2f0b55orc5arl;
alter table if exists changeimplementer_checkout drop constraint if exists FKjtinonkaet9ekof74xm4k7knc;
alter table if exists checkinwithconflicts_artifactcopy drop constraint if exists FKm23kcc5olul2l8sy8aviv5t7i;
alter table if exists checkinwithconflicts_artifactcopy drop constraint if exists FK7eqe2vemd6qbrqe2n8uly7asw;
alter table if exists checkinwithoutconflicts_artifactcopy drop constraint if exists FK4xciirlomo8fjhkrbp3mbruta;
alter table if exists checkinwithoutconflicts_artifactcopy drop constraint if exists FK8p2i1h40vxe189bspq77odeix;
alter table if exists commitartifactcopy_artifactcopy drop constraint if exists FK6fgcqak41p64qtqbf8dbkfdk;
alter table if exists commitartifactcopy_artifactcopy drop constraint if exists FK4v0lkve6lssewdqhmsfiyxshs;
alter table if exists generalprojectprocess drop constraint if exists FK1ltamn8bjxdhknf5vwf7rqtch;
alter table if exists loadedsoftwaresystemcopy drop constraint if exists FKr7hwk176k1apruvgn6jbvu1fe;
alter table if exists project drop constraint if exists FK56l08pkdkr9onlugrsj27t6a3;
alter table if exists project_stakeholder drop constraint if exists FK8qi4xbjt8d9qojshewdxhi2ko;
alter table if exists project_stakeholder drop constraint if exists FKd471j1kcwphen26v3sn8c5vk9;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKqmhcno175t96hnr41q1mew2lm;
alter table if exists projectstakeholder_softwareproject drop constraint if exists FKf1lpg5fjedhcmofd9d1nqj3qa;
alter table if exists resolveconflict_artifactcopy drop constraint if exists FKa6fcpsfs694455e1r21fm9klc;
alter table if exists resolveconflict_artifactcopy drop constraint if exists FK8jbytoegsbgc3b23n4graxvrc;
alter table if exists specificprojectprocess drop constraint if exists FK3el8abvfdvq1eyxxpkalq6n8f;
alter table if exists team drop constraint if exists FKt2rwhhxcjdmje0gqqybiyjdpn;
alter table if exists team drop constraint if exists FKp6ovpc4soflfcjbafch33w2ky;
alter table if exists teammembership drop constraint if exists FK32hd3ylrcn09jp4eorylbk0i0;
alter table if exists teammembership drop constraint if exists FK7twk5vq5jggy5821vfsop01ka;
alter table if exists teammembership drop constraint if exists FK143nbxei8pea2oxm87slwgsut;
alter table if exists version drop constraint if exists FKe51vd8bdcftiqgu6bf9g028ah;
alter table if exists version drop constraint if exists FK8q2uhxcr3k1drva0cwlkuc6c5;
drop table if exists activity cascade;
drop table if exists activity_artifact_changed cascade;
drop table if exists activity_artifact_created cascade;
drop table if exists activity_artifact_used cascade;
drop table if exists artifact cascade;
drop table if exists artifactcheckout_artifactcopy cascade;
drop table if exists artifactcopy_conflict cascade;
drop table if exists baseline_version cascade;
drop table if exists branch cascade;
drop table if exists changeimplementer_changeaccomplishment cascade;
drop table if exists changeimplementer_checkin cascade;
drop table if exists changeimplementer_checkout cascade;
drop table if exists checkinwithconflicts_artifactcopy cascade;
drop table if exists checkinwithoutconflicts_artifactcopy cascade;
drop table if exists commitartifactcopy_artifactcopy cascade;
drop table if exists conflict cascade;
drop table if exists generalprojectprocess cascade;
drop table if exists loadedsoftwaresystemcopy cascade;
drop table if exists organization cascade;
drop table if exists organizationalrole cascade;
drop table if exists person cascade;
drop table if exists project cascade;
drop table if exists project_stakeholder cascade;
drop table if exists projectstakeholder_softwareproject cascade;
drop table if exists resolveconflict_artifactcopy cascade;
drop table if exists specificprojectprocess cascade;
drop table if exists team cascade;
drop table if exists teammembership cascade;
drop table if exists version cascade;
drop sequence if exists organization_seq;
drop sequence if exists organizationalrole_seq;
create sequence organization_seq start with 1 increment by 50;
create sequence organizationalrole_seq start with 1 increment by 50;
create table activity (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, state_type varchar(255), specificprojectprocess_id bigint, changeaccomplishment_id bigint, deletebranch_id bigint, source_branch_id bigint, target_branch_id bigint, checkin_id bigint, branch_id bigint, checkout_id bigint, artifactcheckout_id bigint, baseline_id bigint, configuationmanagementprocess_id bigint, changerequestclosing_id bigint, primary key (id));
create table activity_artifact_changed (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_created (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table activity_artifact_used (activity_id bigint not null, artifact_id bigint not null, primary key (activity_id, artifact_id));
create table artifact (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, artifact_type varchar(255), artifact_id bigint, branch_id bigint, primary key (id));
create table artifactcheckout_artifactcopy (artifactcheckout_id bigint not null, artifactcopy_id bigint not null, primary key (artifactcheckout_id, artifactcopy_id));
create table artifactcopy_conflict (artifactcopy_id bigint not null, conflict_id bigint not null, primary key (artifactcopy_id, conflict_id));
create table baseline_version (baseline_id bigint not null, version_id bigint not null, primary key (baseline_id, version_id));
create table branch (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), sourcerepository_id bigint, primary key (id));
create table changeimplementer_changeaccomplishment (changeimplementer_id bigint not null, changeaccomplishment_id bigint not null, primary key (changeimplementer_id, changeaccomplishment_id));
create table changeimplementer_checkin (changeimplementer_id bigint not null, checkin_id bigint not null, primary key (changeimplementer_id, checkin_id));
create table changeimplementer_checkout (changeimplementer_id bigint not null, checkout_id bigint not null, primary key (changeimplementer_id, checkout_id));
create table checkinwithconflicts_artifactcopy (checkinconflict_id bigint not null, artifactcopy_id bigint not null, primary key (checkinconflict_id, artifactcopy_id));
create table checkinwithoutconflicts_artifactcopy (checkinconflict_id bigint not null, artifactcopy_id bigint not null, primary key (checkinconflict_id, artifactcopy_id));
create table commitartifactcopy_artifactcopy (commitartifactcopy_id bigint not null, artifactcopy_id bigint not null, primary key (commitartifactcopy_id, artifactcopy_id));
create table conflict (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table generalprojectprocess (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, type varchar(255), softwareproject_id bigint, primary key (id));
create table loadedsoftwaresystemcopy (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), softwaresystem_id bigint, primary key (id));
create table organization (id bigint not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table organizationalrole (id bigint not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), primary key (id));
create table person (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, email varchar(255), primary key (id));
create table project (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organization_id bigint, primary key (id));
create table project_stakeholder (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), person_id bigint, team_id bigint, primary key (id));
create table projectstakeholder_softwareproject (projectstakeholder_id bigint not null, softwareproject_id bigint not null, primary key (projectstakeholder_id, softwareproject_id));
create table resolveconflict_artifactcopy (resolveconflict_id bigint not null, artifactcopy_id bigint not null, primary key (resolveconflict_id, artifactcopy_id));
create table specificprojectprocess (dtype varchar(31) not null, id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, type varchar(255), generalprojectprocess_id bigint, primary key (id));
create table team (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, team_purpose varchar(255), type varchar(255), organization_id bigint, project_id bigint, primary key (id));
create table teammembership (id bigserial not null, created_at timestamp(6), description varchar(255), end_date date, external_id varchar(255), internal_id varchar(255), name varchar(255), start_date date, organizationalrole_id bigint, person_id bigint, team_id bigint, primary key (id));
create table version (id bigserial not null, created_at timestamp(6), description varchar(255), external_id varchar(255), internal_id varchar(255), name varchar(255), artifactcopy_id bigint, configurationitem_id bigint, primary key (id));
alter table if exists activity add constraint UK_gen90k71mcqmbelphjfoj5p1h unique (external_id);
alter table if exists activity add constraint UK_fqiif0l8hs9v9n1f1cyjq0w93 unique (internal_id);
alter table if exists artifact add constraint UK_tmtntysmpe9agx311oo9wgd6w unique (external_id);
alter table if exists artifact add constraint UK_a7vjuwd556mt1jgmvkikrg97m unique (internal_id);
alter table if exists branch add constraint UK_axlxb8k98wdonx8j54lrrc381 unique (external_id);
alter table if exists branch add constraint UK_aro2jevrva41r9b5pfa56qqs0 unique (internal_id);
alter table if exists conflict add constraint UK_2wpluosupq8u7dwxpgnj7qf7 unique (external_id);
alter table if exists conflict add constraint UK_4aoawjja20yfu7a75g6hegcsw unique (internal_id);
alter table if exists generalprojectprocess add constraint UK_t2f4mduk7xxo2m1e5s2ln8l6c unique (external_id);
alter table if exists generalprojectprocess add constraint UK_31euq0fg7a9ewyikftigdxng unique (internal_id);
alter table if exists loadedsoftwaresystemcopy add constraint UK_ru1alqoltg2pxcj7vf6mlkgyj unique (external_id);
alter table if exists loadedsoftwaresystemcopy add constraint UK_7dc4eooen6g1t190mxf2dksbh unique (internal_id);
alter table if exists organization add constraint UK_anbatb82bwhrx4gagnflykthh unique (external_id);
alter table if exists organization add constraint UK_qgifo82ujgdm3r4me4o483y98 unique (internal_id);
alter table if exists organizationalrole add constraint UK_r0nk0u1upsab7mjvokf771ty4 unique (external_id);
alter table if exists organizationalrole add constraint UK_2mxehhrgdtj97cu0b38wsn0a7 unique (internal_id);
alter table if exists person add constraint UK_b88nmexbm4eag0edh6hhphk4e unique (external_id);
alter table if exists person add constraint UK_1h69uaxo6kwmmr505sd7nhfbo unique (internal_id);
alter table if exists project add constraint UK_qntbmlr1dte2ma5naa0xd9lgf unique (external_id);
alter table if exists project add constraint UK_au5d5lh0qj4ajvb5gdc2iklmj unique (internal_id);
alter table if exists specificprojectprocess add constraint UK_dl1mmy1wx5qui4uwy648rmd5a unique (external_id);
alter table if exists specificprojectprocess add constraint UK_ee5o4hvopd0t8g3pr0vvck2qh unique (internal_id);
alter table if exists team add constraint UK_5icvmflrxr0auwuycwo2bmtbb unique (external_id);
alter table if exists team add constraint UK_q21ea0163wdpsngogjvrdi35f unique (internal_id);
alter table if exists teammembership add constraint UK_3p28xbd0ftoo1qcrp089at106 unique (external_id);
alter table if exists teammembership add constraint UK_c14jbab4on1ny123qhxajt1ux unique (internal_id);
alter table if exists version add constraint UK_s0fdu9ljetwww3nseuiyeeoh4 unique (external_id);
alter table if exists version add constraint UK_p4fksc08wldh3au8lus7qk06m unique (internal_id);
alter table if exists activity add constraint FKh2g4avehpcr1wpaw1wl3if72r foreign key (specificprojectprocess_id) references specificprojectprocess;
alter table if exists activity add constraint FK5b19thy124c7aybco1r3emfix foreign key (changeaccomplishment_id) references activity;
alter table if exists activity add constraint FK2qcghyc68qlafjkiya9jw5i11 foreign key (deletebranch_id) references activity;
alter table if exists activity add constraint FK2wcwpbrvu5eff2e3k6f79jpet foreign key (source_branch_id) references branch;
alter table if exists activity add constraint FK5nu5mdrffdn32pbad1mntj40j foreign key (target_branch_id) references branch;
alter table if exists activity add constraint FK75mrg3v4dpkopsh6le2pdba6r foreign key (checkin_id) references activity;
alter table if exists activity add constraint FK3sxk07thp5blp4f3cr2vao3s7 foreign key (branch_id) references branch;
alter table if exists activity add constraint FKe4qd5t8bueg7u82ggwh8ocf5i foreign key (checkout_id) references activity;
alter table if exists activity add constraint FKbeb5x6i3qk90pi432p35ln5hh foreign key (artifactcheckout_id) references activity;
alter table if exists activity add constraint FK7dlmf4i6gmq4hcb7181342gv7 foreign key (baseline_id) references artifact;
alter table if exists activity add constraint FKeoluo47sujjgqnv8m4sf5caxj foreign key (configuationmanagementprocess_id) references specificprojectprocess;
alter table if exists activity add constraint FKjii6y7fbvc2a1c8fp3elks0ty foreign key (changerequestclosing_id) references activity;
alter table if exists activity_artifact_changed add constraint FK3trne6t5kt9i5elsqgyi4fb05 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_changed add constraint FK9no45xbwejm1fw3mi8ntas2cl foreign key (activity_id) references activity;
alter table if exists activity_artifact_created add constraint FK5e31y2lrg2vlmmwb6l3gdpku2 foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_created add constraint FKafntfafl87e528uonltbsxbi6 foreign key (activity_id) references activity;
alter table if exists activity_artifact_used add constraint FKagy8o0ss3g2wg3vmfdyc6he9q foreign key (artifact_id) references artifact;
alter table if exists activity_artifact_used add constraint FKfdesa1guewvnsul4abkm3ov foreign key (activity_id) references activity;
alter table if exists artifact add constraint FKq3o6g6t4j9b6ltk5xgrh3ns2s foreign key (artifact_id) references artifact;
alter table if exists artifact add constraint FK2uavpsaaw0q7ohny6turmoojb foreign key (branch_id) references branch;
alter table if exists artifactcheckout_artifactcopy add constraint FK6ixnviwxctkyux26asqvx6x34 foreign key (artifactcopy_id) references artifact;
alter table if exists artifactcheckout_artifactcopy add constraint FK1rcqsolxc7wtv0fgafr6wnqke foreign key (artifactcheckout_id) references activity;
alter table if exists artifactcopy_conflict add constraint FK7tm3ivu0nh9k80byd6mxgjk24 foreign key (conflict_id) references conflict;
alter table if exists artifactcopy_conflict add constraint FK5ime36qm30w2vlv71lf7ekp4i foreign key (artifactcopy_id) references artifact;
alter table if exists baseline_version add constraint FKrmp4q0g3u9xoxd9kv8xwyis08 foreign key (version_id) references version;
alter table if exists baseline_version add constraint FKg33t3g4bovjtk5rluegqsu9dj foreign key (baseline_id) references artifact;
alter table if exists branch add constraint FK9eo4lqh6exa3f47xvo19pl64h foreign key (sourcerepository_id) references loadedsoftwaresystemcopy;
alter table if exists changeimplementer_changeaccomplishment add constraint FKnd3mx270b8ebduowd5pmrdjka foreign key (changeaccomplishment_id) references activity;
alter table if exists changeimplementer_changeaccomplishment add constraint FKr7xfvi8c78dmh74lrfijidtqu foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists changeimplementer_checkin add constraint FKhguupw8pmaak6t3wqn3jmp909 foreign key (checkin_id) references activity;
alter table if exists changeimplementer_checkin add constraint FKjtbnwhwsltrgaxa9hsdocjbsn foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists changeimplementer_checkout add constraint FKtrm8fmvii02q2f0b55orc5arl foreign key (checkout_id) references activity;
alter table if exists changeimplementer_checkout add constraint FKjtinonkaet9ekof74xm4k7knc foreign key (changeimplementer_id) references project_stakeholder;
alter table if exists checkinwithconflicts_artifactcopy add constraint FKm23kcc5olul2l8sy8aviv5t7i foreign key (artifactcopy_id) references artifact;
alter table if exists checkinwithconflicts_artifactcopy add constraint FK7eqe2vemd6qbrqe2n8uly7asw foreign key (checkinconflict_id) references activity;
alter table if exists checkinwithoutconflicts_artifactcopy add constraint FK4xciirlomo8fjhkrbp3mbruta foreign key (artifactcopy_id) references artifact;
alter table if exists checkinwithoutconflicts_artifactcopy add constraint FK8p2i1h40vxe189bspq77odeix foreign key (checkinconflict_id) references activity;
alter table if exists commitartifactcopy_artifactcopy add constraint FK6fgcqak41p64qtqbf8dbkfdk foreign key (artifactcopy_id) references artifact;
alter table if exists commitartifactcopy_artifactcopy add constraint FK4v0lkve6lssewdqhmsfiyxshs foreign key (commitartifactcopy_id) references activity;
alter table if exists generalprojectprocess add constraint FK1ltamn8bjxdhknf5vwf7rqtch foreign key (softwareproject_id) references project;
alter table if exists loadedsoftwaresystemcopy add constraint FKr7hwk176k1apruvgn6jbvu1fe foreign key (softwaresystem_id) references artifact;
alter table if exists project add constraint FK56l08pkdkr9onlugrsj27t6a3 foreign key (organization_id) references organization;
alter table if exists project_stakeholder add constraint FK8qi4xbjt8d9qojshewdxhi2ko foreign key (person_id) references person;
alter table if exists project_stakeholder add constraint FKd471j1kcwphen26v3sn8c5vk9 foreign key (team_id) references team;
alter table if exists projectstakeholder_softwareproject add constraint FKqmhcno175t96hnr41q1mew2lm foreign key (softwareproject_id) references project;
alter table if exists projectstakeholder_softwareproject add constraint FKf1lpg5fjedhcmofd9d1nqj3qa foreign key (projectstakeholder_id) references project_stakeholder;
alter table if exists resolveconflict_artifactcopy add constraint FKa6fcpsfs694455e1r21fm9klc foreign key (artifactcopy_id) references artifact;
alter table if exists resolveconflict_artifactcopy add constraint FK8jbytoegsbgc3b23n4graxvrc foreign key (resolveconflict_id) references activity;
alter table if exists specificprojectprocess add constraint FK3el8abvfdvq1eyxxpkalq6n8f foreign key (generalprojectprocess_id) references generalprojectprocess;
alter table if exists team add constraint FKt2rwhhxcjdmje0gqqybiyjdpn foreign key (organization_id) references organization;
alter table if exists team add constraint FKp6ovpc4soflfcjbafch33w2ky foreign key (project_id) references project;
alter table if exists teammembership add constraint FK32hd3ylrcn09jp4eorylbk0i0 foreign key (organizationalrole_id) references organizationalrole;
alter table if exists teammembership add constraint FK7twk5vq5jggy5821vfsop01ka foreign key (person_id) references person;
alter table if exists teammembership add constraint FK143nbxei8pea2oxm87slwgsut foreign key (team_id) references team;
alter table if exists version add constraint FKe51vd8bdcftiqgu6bf9g028ah foreign key (artifactcopy_id) references artifact;
alter table if exists version add constraint FK8q2uhxcr3k1drva0cwlkuc6c5 foreign key (configurationitem_id) references artifact;
